#!/bin/bash

pass=12345678
username=testuser
testpath=/apache2-se-tests

function mkhtmlfile {
	#$1 path
	#$2 mac label

cat <<EOT >> $1/f$2
<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	    <title>Выберите файлы</title>
	</head>
	<body>
		<h1>It works!</h1>
		<p>File mac label is $2</p>
	</body>
</html>
EOT

	pdpl-file $2::: $1/f$2
}

rm -rf $testpath
mkdir $testpath
pdpl-file 3:::ccnr,ccnri $testpath

mkdir $testpath/d0
pdpl-file 0:::ccnr,ccnri $testpath/d0
mkhtmlfile $testpath/d0 0

mkdir $testpath/d1
pdpl-file 1:::ccnr,ccnri $testpath/d1
mkhtmlfile $testpath/d1 0
mkhtmlfile $testpath/d1 1

mkdir $testpath/d2
pdpl-file 2:::ccnr,ccnri $testpath/d2
mkhtmlfile $testpath/d2 0
mkhtmlfile $testpath/d2 1
mkhtmlfile $testpath/d2 2

mkdir $testpath/d3
pdpl-file 3:::ccnr,ccnri $testpath/d3
mkhtmlfile $testpath/d3 0
mkhtmlfile $testpath/d3 1
mkhtmlfile $testpath/d3 2
mkhtmlfile $testpath/d3 3

useradd $username
echo -e "$pass\n$pass" | passwd $username
pdpl-user $username -m 0:2

mkdir /usr/share/apache2/test/logs

chown -R www-data:www-data $testpath
usermod -a -G shadow www-data
setfacl -d -m u:www-data:r /etc/parsec/macdb
setfacl -R -m u:www-data:r /etc/parsec/macdb
setfacl -m u:www-data:rx /etc/parsec/macdb

/etc/init.d/apache2 stop
a2dissite 000-default.conf
cp /usr/share/apache2/test/apache2-se-tests.conf /etc/apache2/sites-available/apache2-se-tests.conf
a2ensite apache2-se-tests.conf
/etc/init.d/apache2 start
#apachectl -k start -d /usr/share/apache2/test/
